NamespacedTagDispatcher (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.taglib
[Groovy] Class NamespacedTagDispatcher

    java.lang.Object
      groovy.lang.GroovyObjectSupport
          org.codehaus.groovy.grails.web.taglib.NamespacedTagDispatcher

    @groovy.transform.CompileStatic
    class NamespacedTagDispatcher
    extends groovy.lang.GroovyObjectSupport

Allows dispatching to namespaced tag libraries and is used within controllers and tag libraries to allow namespaced tags to be invoked as methods (eg. g.link(action:'foo')).

Authors:
  Graeme Rocher

Since:
  1.0

Field Summary
`protected GrailsApplication` | `application`
`protected boolean` | `developmentMode`
`protected TagLibraryLookup` | `lookup`
`protected java.lang.String` | `namespace`
`protected java.lang.Class` | `type`

Constructor Summary
`NamespacedTagDispatcher(java.lang.String ns, java.lang.Class callingType, GrailsApplication application, TagLibraryLookup lookup)`

Method Summary
`void` | `initializeMetaClass()`
`java.lang.Object` | `methodMissing(java.lang.String name, java.lang.Object args)`

Methods inherited from class groovy.lang.GroovyObjectSupport
groovy.lang.GroovyObjectSupport#getMetaClass(), groovy.lang.GroovyObjectSupport#setMetaClass(groovy.lang.MetaClass), groovy.lang.GroovyObjectSupport#invokeMethod(java.lang.String, java.lang.Object), groovy.lang.GroovyObjectSupport#setProperty(java.lang.String, java.lang.Object), groovy.lang.GroovyObjectSupport#getProperty(java.lang.String), groovy.lang.GroovyObjectSupport#wait(long, int), groovy.lang.GroovyObjectSupport#wait(long), groovy.lang.GroovyObjectSupport#wait(), groovy.lang.GroovyObjectSupport#equals(java.lang.Object), groovy.lang.GroovyObjectSupport#toString(), groovy.lang.GroovyObjectSupport#hashCode(), groovy.lang.GroovyObjectSupport#getClass(), groovy.lang.GroovyObjectSupport#notify(), groovy.lang.GroovyObjectSupport#notifyAll()

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### application

    protected GrailsApplication application

### developmentMode

    protected boolean developmentMode

### lookup

    protected TagLibraryLookup lookup

### namespace

    protected java.lang.String namespace

### type

    protected java.lang.Class type

Constructor Detail

### NamespacedTagDispatcher

    NamespacedTagDispatcher(java.lang.String ns, java.lang.Class callingType, GrailsApplication application, TagLibraryLookup lookup)

Method Detail

### initializeMetaClass

    void initializeMetaClass()

### methodMissing

    java.lang.Object methodMissing(java.lang.String name, java.lang.Object args)

Groovy Documentation